Subject: Re: bug#9796: 24.0.90; Major mode selection after "save as"

From: Glenn Morris <[email-masked]>
Date: Wed, 19 Oct 2011 17:43:27 -0400

The issue you are reporting is specific to sql-mode.
The [] piece is added by sql-highlight-product, which sql-mode runs via
hack-local-variables-hook. Changing a buffer's filename changes the
major-mode (if change-major-mode-with-file-name is non-nil), but does
not re-hack the local variables.